一千萬個為什麽

搜索

使用多個jQuery和jQuery UI庫

有沒有辦法在同一個源中使用多個jQuery和jQuery UI庫?

我知道noConflict和使用這個方法的多個jQuery庫,但是可以使用多個jQuery UI庫嗎?

基本上我想將jQuery 1.2.6和jQuery UI 1.6一起用於頁面的某個部分,它只適用於那些庫

然後為其他一切使用最新的1.4.2和UI 1.8的jQuery庫。

謝謝,

-Seth

最佳答案

jquery確實有一個允許這個的NoConflict方法。您可以使用以下命令創建多個jquery版本的實例:

<script src="jQuery1.4.1.js"></script>
<script>
    $jq = jQuery.noConflict(true);
</script>

<script src="jQuery1.3.2.js"></script>

要使用版本1.4,請使用$ jq('#id'); 要使用1.3版,請使用$('#id');

轉載註明原文: 使用多個jQuery和jQuery UI庫